diff -Nru devscripts-2.10.30-orig/debian/changelog devscripts-2.10.30+nmu1/debian/changelog
--- devscripts-2.10.30-orig/debian/changelog	2008-06-17 04:00:01.000000000 +0900
+++ devscripts-2.10.30+nmu1/debian/changelog	2008-06-26 01:10:18.000000000 +0900
@@ -1,3 +1,11 @@
+devscripts (2.10.30+nmu1) NOT-RELEASED-unstable; urgency=low
+
+  * Non-maintainer upload. (I will not!)
+  * debsign: Do not assume directory write permission of directory of
+    the file to be signed.
+
+ -- Osamu Aoki <osamu@debian.org>  Thu, 26 Jun 2008 01:06:01 +0900
+
 devscripts (2.10.30) unstable; urgency=low
 
   * bts: MIME-encode the Subject: header of the generated mail in case it
diff -Nru devscripts-2.10.30-orig/scripts/debsign.sh devscripts-2.10.30+nmu1/scripts/debsign.sh
--- devscripts-2.10.30-orig/scripts/debsign.sh	2008-05-06 00:04:49.000000000 +0900
+++ devscripts-2.10.30+nmu1/scripts/debsign.sh	2008-06-26 01:19:52.000000000 +0900
@@ -107,6 +107,7 @@
 # of dpkg-buildpackage, because we do not know all of the necessary
 # information when this function is read first.
 signfile () {
+    ASCII_SIGNED_FILE=`tempfile --prefix=$1. --suffix=.asc`
     local savestty=$(stty -g 2>/dev/null) || true
     if [ $signinterface = gpg ]
     then
@@ -118,7 +119,7 @@
 		(cat "$1" ; echo "") | \
 		    $signcommand --local-user "$2" --clearsign \
 		    --list-options no-show-policy-urls \
-		    --armor --textmode --output - - > "$1.asc" || \
+		    --armor --textmode --output - - > "$ASCII_SIGNED_FILE" || \
 		{ SAVESTAT=$?
 		  echo "$PROGNAME: gpg error occurred!  Aborting...." >&2
 		  stty $savestty 2>/dev/null || true
@@ -128,7 +129,7 @@
 		(cat "$1" ; echo "") | \
 		    $signcommand --local-user "$2" --clearsign \
 		        --no-show-policy-url \
-			--armor --textmode --output - - > "$1.asc" || \
+			--armor --textmode --output - - > "$ASCII_SIGNED_FILE" || \
 		{ SAVESTAT=$?
 		  echo "$PROGNAME: gpg error occurred!  Aborting...." >&2
 		  stty $savestty 2>/dev/null || true
@@ -136,12 +137,12 @@
 		}
 	fi
     else
-	$signcommand -u "$2" +clearsig=on -fast < "$1" > "$1.asc"
+	$signcommand -u "$2" +clearsig=on -fast < "$1" > "$ASCII_SIGNED_FILE"
     fi
     stty $savestty 2>/dev/null || true
     echo
     PRECIOUS_FILES=$(($PRECIOUS_FILES + 1))
-    mv -f -- "$1.asc" "$1"
+    cat "$ASCII_SIGNED_FILE" > "$1"
 }
 
 withecho () {
